状态页
GET https://www.hostmonits.com/api/status-pages/
curl --request GET \
--url 'https://www.hostmonits.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| 请求参数 | 详情 | 描述 |
|---|---|---|
| search | 选填 字符串 | 搜索关键词. |
| search_by | 选填 字符串 | 搜索匹配字段,可选值:name. |
| is_enabled | 选填 布尔型 | |
| project_id | 选填 整型 | |
| datetime_field | 选填 字符串 | 可选值:datetime, last_datetime |
| datetime_start | 选填 字符串 | 起始时间,格式 年-月-日 时:分:秒. |
| datetime_end | 选填 字符串 | 结束时间,格式 年-月-日 时:分:秒. |
| order_by | 选填 字符串 | 排序字段,可选值:status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | 选填 字符串 | 排序方式:ASC 升序,DESC 降序. |
| page | 选填 整型 | 数据页码,默认值 1. |
| results_per_page | 选填 整型 | 每页返回数据条数,可选值:10, 25, 50, 100, 250, 500, 1000,默认值 25. |
{
"data": [
{
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://www.hostmonits.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-06-22 06:45:25",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://www.hostmonits.com/api/status-pages?page=1",
"last": "https://www.hostmonits.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://www.hostmonits.com/api/status-pages?page=1"
}
}
GET https://www.hostmonits.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://www.hostmonits.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://www.hostmonits.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-06-22 06:45:25",
}
}